Name:           xarchiver
Version:        0.5.4.15
Release:        1
Summary:        Archive manager for Xfce
License:        GPLv2+
#Group:          Development/Libraries
URL:            https://github.com/ib/xarchiver
Source0:        https://github.com/ib/xarchiver/archive/%{version}.tar.gz
Patch1:         debian-bug-959914.patch
Patch2:         debian-bug-959914_part2.patch
Patch3:         debian-bug-959914_part3.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildArch:      noarch
BuildRequires:  gtk2-devel, libxml2-devel, gettext, desktop-file-utils
BuildRequires:  xfce4-dev-tools >= 4.3.90.2
BuildRequires:  autoconf >= 2.69
BuildRequires:  libtool
BuildRequires:  automake
BuildRequires:  intltool

%description
Xarchiver is a lightweight desktop independent GTK+ frontend for manipulating
xz, 7z, lzma, arj, bzip2, gzip, rar, tar, zip, rpm, lz4, compress, zstd, lzip,
lrzip, lzop, lha, ar files including the deb format and self-extracting
exe files, if they were internally compressed with either 7zip, arj, lha, rar
or zip. Multi-threading tools such as lbzip2, pbzip2, pigz and plzip can be
used as replacements for their respective counterparts.

Xarchiver allows you to create archives and add, extract, and delete files
from them. Password protected archives in the arj, 7z, rar, zip and lrzip
formats are supported.


%prep
%autosetup -p1

%build
./autogen.sh
%configure
%make_build

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

%find_lang %{name}

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

# remove duplicate docs
rm %{buildroot}%{_docdir}/%{name}/{COPYING,ChangeLog,README}

%files -f %{name}.lang
%doc COPYING ChangeLog README
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/pixmaps/%{name}/
%{_libexecdir}/thunar-archive-plugin/
%{_mandir}/man1/%{name}.1*

%changelog
* Mon Jul 27 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 0.5.4.15-1
- Init package
